#pragma once

#include "CoreMinimal.h"
#include "AkAudioType.h"
#include "WwiseTriggerCookedData.h"
#include "AkTrigger.generated.h"

UCLASS(Blueprintable)
class AKAUDIO_API UAkTrigger : public UAkAudioType
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	FWwiseTriggerCookedData TriggerCookedData;

public:
	UAkTrigger();
};

FORCEINLINE uint32 GetTypeHash(const UAkTrigger) { return 0; }
